## ros-indigo-play-motion 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(play_motion)

find_package(catkin REQUIRED COMPONENTS roscpp play_motion_msgs actionlib moveit_ros_planning_interface sensor_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_python_setup()

catkin_package(INCLUDE_DIRS include
               LIBRARIES play_motion_helpers
               CATKIN_DEPENDS roscpp  play_motion_msgs actionlib moveit_ros_planning_interface sensor_msgs)


include_directories(include ${catkin_INCLUDE_DIRS})

add_library(play_motion_helpers src/play_motion_helpers.cpp)

target_link_libraries(play_motion_helpers ${catkin_LIBRARIES})
add_executable(play_motion
  src/play_motion_main.cpp
  src/play_motion_server.cpp
  src/play_motion.cpp
  src/move_joint_group.cpp
  src/controller_updater.cpp
  src/approach_planner.cpp)

target_link_libraries(play_motion play_motion_helpers ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(play_motion play_motion_msgs_generate_messages_cpp)

install(TARGETS play_motion
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(TARGETS play_motion_helpers
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install (PROGRAMS scripts/is_already_there.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS scripts/move_joint
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/
   DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

# tests
#######
if(CATKIN_ENABLE_TESTING)
  find_package(catkin COMPONENTS rostest actionlib controller_manager joint_trajectory_controller)

  include_directories(include ${catkin_INCLUDE_DIRS})

  add_executable(pm_rrbot test/rrbot.cpp)
  target_link_libraries(pm_rrbot ${catkin_LIBRARIES})

  add_dependencies(tests pm_rrbot)

  add_rostest_gtest(play_motion_test test/play_motion.test test/play_motion_test.cpp)
  add_dependencies(play_motion_test play_motion joint_trajectory_controller)
  target_link_libraries(play_motion_test ${catkin_LIBRARIES})

  add_rostest_gtest(play_motion_helpers_test test/play_motion_helpers.test test/play_motion_helpers_test.cpp)
  target_link_libraries(play_motion_helpers_test play_motion_helpers ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-indigo-play-motion (0.4.1-0trusty) trusty; urgency=high

  * Migrate to format2
  * remove module file
  * Add missing configuration for depender projects
  * Refactor argument names to convention
  * Add function alternatives where NodeHandle defaults to one of play_motion
  * log error when core is 0
  * Add default values and units to sample config.
  * Add new optional config parameter.
    Add new parameter to configure the minimum approach time to use when
    skip_planning = true.
    If we time-parameterize trajectories using MoveIt's built-in methods, we'd
    be able to get rid of this additional parameter, but in the meantime, it
    addresses an important issue.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Daniel Pinyol, Víctor López

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Wed, 22 Jul 2015 22:00:00 -0000

ros-indigo-play-motion (0.4.0-0trusty) trusty; urgency=high

  * Add install() rule for headers
  * Fetch time_from_start as a double. (#28 <https://github.com/pal-robotics/play_motion/issues/28>)
  * MoveIt! integration (#36 <https://github.com/pal-robotics/play_motion/issues/36>)
  * Allow to disable motion planning altogether.
  * Silence compiler warnings.
  * Add move_joint script (#33 <https://github.com/pal-robotics/play_motion/issues/33>)
  * Don't compute approach time if specified.
  * Handle first waypoints with time_from_start == 0.
  * Add service call to query available motions.
  * Isolate move_group async spinner from rest of node (#31 <https://github.com/pal-robotics/play_motion/issues/31>)
  * Make planning optional. Deprecate reach_time.
  * First prototype of motion planning support.
  * Refactor how controllers are checked.
  * Allow cast from int to double in xmlrpc helpers (#28 <https://github.com/pal-robotics/play_motion/issues/28>)
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Paul Mathieu

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-indigo-play-motion (0.3.5-0trusty) trusty; urgency=high

  * Harmonize doxygen tags
  * Fix crash with empty motion names (#20 <https://github.com/pal-robotics/play_motion/issues/20>).
  * Minor doc fix.

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Mon, 24 Feb 2014 23:00:00 -0000

ros-indigo-play-motion (0.3.4-0trusty) trusty; urgency=high

  * catch and show unexpected exceptions in main()
  * Refactor populateVelocities. Document it.
  * Propagate controller action state to internal API
    Fixes #15 <https://github.com/pal-robotics/play_motion/issues/15>
  * Refactor some stuff in play_motion.cpp
  * Refactor and document MoveJointGroup
  * Replace test_depend with build_depend
  * Use existing msg types for traj points. Refs #4 <https://github.com/pal-robotics/play_motion/issues/4>.
    - Move from the custom structs to trajectory_msgs types.
    - Waypoints can now have accelerations.

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Sun, 23 Feb 2014 23:00:00 -0000

ros-indigo-play-motion (0.3.3-0trusty) trusty; urgency=high

  * Fix dependencies (add sensor_msgs)
  * Add install target for play_motion_helpers lib
  * take messages out into new package play_motion_msgs

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Wed, 19 Feb 2014 23:00:00 -0000

ros-indigo-play-motion (0.3.2-0trusty) trusty; urgency=high

  * Refactor and add a datatypes.h
  * Remove unneeded import
  * Fix bug: calling the motion callback more than once

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Tue, 04 Feb 2014 23:00:00 -0000

ros-indigo-play-motion (0.3.1-0trusty) trusty; urgency=high

  * Populate velocity data
    
      * Velocities are populated only for motions that don't specify velocities for at least one waypoint.
      * Good compromise: Smoother than Fritsch-Butland, while still allowing to hold position in equal consecutive waypoints (one of the heuristics we wanted).
    

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Tue, 03 Dec 2013 23:00:00 -0000

ros-indigo-play-motion (0.3.0-0trusty) trusty; urgency=high

  * Add include dirs to unit tests
  * Document IsAlreadyThere service
  * Add service IsAlreadyThere
  * Changed error codes to follow ROS standard. SUCCEEDED should be 1 (so we don't have 0 as a real error code as it's a default value).
  * Return SUCCEEDED when everything went fine
  * use CATKIN_ENABLE_TESTING in CMakeLists.txt
  * catkin-only version now

 -- Bence Magyar <bence.magyar@pal-robotics.com>  Wed, 27 Nov 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-play-motion
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-controller-manager, ros-indigo-controller-manager-msgs, ros-indigo-joint-state-controller, ros-indigo-joint-trajectory-controller, ros-indigo-moveit-ros-planning-interface, ros-indigo-play-motion-msgs, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-play-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-controller-manager-msgs, ros-indigo-moveit-ros-planning-interface, ros-indigo-play-motion-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: Plays a pre-recorded motion on a robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-play-motion//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
